Package org.apache.catalina.tribes.group

# Class GroupChannel.InterceptorIterator

java.lang.Object
org.apache.catalina.tribes.group.GroupChannel.InterceptorIterator

All Implemented Interfaces:
  `Iterator<ChannelInterceptor>`

Enclosing class:
  GroupChannel

public static class GroupChannel.InterceptorIterator extends Object implements Iterator<ChannelInterceptor>
An iterator to loop through the interceptors in a channel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterceptorIterator(ChannelInterceptor start, ChannelInterceptor end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `ChannelInterceptor`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### InterceptorIterator

    public InterceptorIterator(ChannelInterceptor start, ChannelInterceptor end)

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<ChannelInterceptor>`

  - ### next

    public ChannelInterceptor next()
    Specified by:
      `next` in interface `Iterator<ChannelInterceptor>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<ChannelInterceptor>`